//@ sourceURL=dispositivos.js 
jQuery(function($){

	initRupI18nPromise.then(function() {
		prepareData();	
		
		$("#dispositivosSol_filter_form").rup_validate({
		    liveCheckingErrors: false,
		    showFieldErrorAsDefault: true,
		    showErrorsInFeedback: true,
		    showFieldErrorsInFeedback: true,
		    rules:{
		    	"fInstalacion23Desde":{date:true},
		    }
		});
		
		$("#dispositivosSol_filter_form [ruptype='date']").blur(function(elem) { 

			if(!$(elem.target).valid()){
                $(elem.target).val('')
            }

		});
		
		
	});
	
	function prepareData(){
		
		$("#idDispositivo35_filter_table").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank: '',
			onLoadSuccess: function(obj){
//				if(isSoloLecturaSolicitud){
//					obj.rup_combo("disable",true);
//				}
			},
			selected:''
		});
		
		$("#idTerminal34_filter_table").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank: '',
			onLoadSuccess: function(obj){
//				if(isSoloLecturaSolicitud){
//					obj.rup_combo("disable",true);
//				}
			},
			selected:''
		});
		
		
		
		$('#fInstalacion23Desde_filter_table').rup_date({
			//yearRange: 'c-120:c-40',
			mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
			noWeekend : true
		});
		
		$('#fecAlta94_filter_table').rup_date({
			//yearRange: 'c-120:c-40',
			mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
			noWeekend : true
		});
		
		$("#idDispositivosol_filter_table").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank: '',
			onLoadSuccess: function(obj){
//				if(isSoloLecturaSolicitud){
//					obj.rup_combo("disable",true);
//				}
			},
			selected:''
		});
		
		$("#tipoMovimiento94_filter_table").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank: '',
			selected:''
		});

		
		let tableColModels = [	
			
				{ 	name: "solicitantes.identificador01",
					index: "solicitantes.identificador01",
					editable: true, 
					hidden: true
				},			
				{ 	name: "solicitantes.nombre01",
					index: "solicitantes.nombre01",
					editable: true, 
					hidden: true
				},
				
				{ 	name: "fInstalacion23",
					index: "fInstalacion23",
					editable: true, 
					hidden: false
				},
				
				{ 	name: "dispositivo23.desc",
					index: "dispositivo23.desc",
					editable: true, 
					hidden: false
				},
				{ 	name: "aceptado23",
					index: "aceptado23",
					editable: true, 
					hidden: true
				},
				{ 	name: "idDispSol23",
					index: "idDispSol23",
					editable: true, 
					hidden: true
				}
				];
	
		let columnDefs = [ 
			{ 
				"targets": 4,
				"render": function(data, type, row, settings){
					if(row.aceptado23==1){
						return '<span class="mdi mdi-check "></span>';
					}
					
					
					return '<span class="mdi mdi-close"></span>';
				}
			}
		];
		
		$("#dispositivosSol").rup_table({
			colReorder: {
			 fixedColumnsLeft: 1
			}
			,colModel: tableColModels
			,columnDefs : columnDefs
			,primaryKey: "idDispSol23"
			,filter:{
	  	  		id:"dispositivosSol_filter_form",
	  	  		filterToolbar:"dispositivosSol_filter_toolbar",
	  	  		collapsableLayerId:"dispositivosSol_filter_fieldset",
	  	  		showHidden: true
			}
	   		,select: {
	       		activate: true
	   		}
	   		,noEdit : true
			,seeker: {
				activate: true
			}
	   		,buttons: {
				activate: true,
				contextMenu: false,
				blackListButtons: ['addButton', 'editButton', 'cloneButton', 'copyButton','deleteButton','pdfButton', 'odsButton', 'csvButton'],
			}
	   		,columnOrderArrows: {
			    showOnlyActive: false,
			    display: 'inline'
			}
			,order: [[0, "asc"]]
		});
		
		let tableColModelsMovDisp = [	
			{ 	name: "idMovimientoDisp94",
				index: "idMovimientoDisp94",
				editable: true, 
				hidden: true
			},			
			{ 	name: "solicitantes.idSolicitante01",
				index: "solicitantes.idSolicitante01",
				editable: true, 
				hidden: true
			},
			{ 	name: 'dispositivos.idDispositivo35',
				index: 'dispositivos.idDispositivo35',
				editable: true, 
				hidden: false
			},
			{ 	name: "terminales.desc", 
				index: "terminales.desc",
				editable: true, 
				hidden: false
			},
			{ 	name: "tipoMovimiento94",
				index: "tipoMovimiento94",
				editable: true, 
				hidden: false
			},
			{ 	name: 'fecMovimiento94',
				index: 'fecMovimiento94',
				editable: true, 
				hidden: false
			},
			{ 	name: 'fecAlta94',
				index: 'fecAlta94',
				editable: true, 
				hidden: true
			},
			{ 	name: 'usuAlta94',
				index: 'usuAlta94',
				editable: true, 
				hidden: true
			}
				];
		let columnDefsMovDisp = [
			{
				"targets": 2,
				"orderable":false,
			    "render": function ( data, type, row, meta ) {
					if(locale=='es'){
			             return row.dispositivos.descEs35;

					}return row.dispositivos.descEu35;
				}
			},
			{
				"targets": 4,
				"render": function ( data, type, row, meta ) {
					if(data == TIPO_MOVIMIENTO_DISPOSITIVO_ALTA_VAL){
						return TIPO_MOVIMIENTO_DISPOSITIVO_ALTA_DESC;
					}else if(data == TIPO_MOVIMIENTO_DISPOSITIVO_BAJA_VAL){
						return TIPO_MOVIMIENTO_DISPOSITIVO_BAJA_DESC;
					}else if(data == TIPO_MOVIMIENTO_DISPOSITIVO_SUSTITUCION_VAL){
						return TIPO_MOVIMIENTO_DISPOSITIVO_SUSTITUCION_DESC;
					}else if(data == TIPO_MOVIMIENTO_DISPOSITIVO_SEGMENTACION_VAL){
						return TIPO_MOVIMIENTO_DISPOSITIVO_SEGMENTACION_DESC;
					}else if(data == TIPO_MOVIMIENTO_DISPOSITIVO_RENOVACION_VAL){
						return TIPO_MOVIMIENTO_DISPOSITIVO_RENOVACION_DESC;
					}
					
					return '';
				}
			},
			
		];
		const misbotonesMovDisp = [
			]
		
		$("#movimientosDispositivos").rup_table({
			colReorder: {
			 fixedColumnsLeft: 1
			}
			,colModel: tableColModelsMovDisp
			,columnDefs : columnDefsMovDisp
			,primaryKey: "idMovimientoDisp94"
//			filter:"noFilter"
			,filter:{
	  	  		id:"movimientosDispositivos_filter_form",
	  	  		filterToolbar:"movimientosDispositivos_filter_toolbar",
	  	  		collapsableLayerId:"rup-table-filter-fieldset",
	  	  		showHidden: true
	     	}
			,noEdit : true
	   		,select: {
	       		activate: true,
	       		multiSelect:false,
	       		deleteDoubleClick:true
	   		}
			,seeker: {
				activate: true
			}
			,buttons: {
				activate: true,
				contextMenu: false,
				blackListButtons: ['addButton', 'editButton', 'cloneButton', 'copyButton','deleteButton','pdfButton', 'odsButton', 'csvButton'],
				myButtons:misbotonesMovDisp
			}
			,order: [[1, "asc"]]
		});
	}
});